Australia Residential Lookup
3 min
Data Zoo’s proprietary opt-in permission based marketing database.
For Authorization Get Session Token from Authentication page.
Australia Residential Lookup
* Verification Outcome – Returns KYC verification
* Consumer Consent – N/A
* Mandatory Input – Name and Phone number
* Verifies – Name, DOB, Address and Phone (indicating landline or mobile) number
* Returned Data - identity of the data source
POST
https://idu-test.datazoo.com/api/v2/verify
Header Parameters
- AuthorizationstringrequiredDescription
Body Parameters
- dataobjectrequiredDescription
- countryCodestringrequiredDescription
- servicearrayrequiredDescription
- clientReferencestringDescription
- firstNamestringrequiredDescription
- middleNamestringDescription
- lastNamestringrequiredDescription
- dateOfBirthstringDescription
- addressElement1stringDescription
- addressElement3stringDescription
- addressElement4stringDescription
- addressElement5stringDescription
- identityVariablesobjectrequiredDescription
- phoneNostringrequiredDescription
Response
- countryCodestringDescription
- clientReferencestringDescription
- reportingReferencestringDescription
- validationErrorsstringDescription
- matchStatusstringDescription
- searchErrorMessagestringDescription
- safeHarbourbooleanDescription
- searchStatusstringDescription
- serviceResponsesobjectDescription
- statusintegerDescription
- sourceStatusstringDescription
- errorMessagestringDescription
- identityVerifiedbooleanDescription
- safeHarbourScorestringDescription
- nameMatchScorestringDescription
- addressMatchScorestringDescription
- verificationsobjectDescription
- addressElement1boolean
- addressElement3boolean
- addressElement4boolean
- addressElement5boolean
- dateOfBirthboolean
- firstNameboolean
- landlineNumberboolean
- lastNameboolean
- middleNameboolean
- mobileNumberboolean
- returnedDataobjectDescription
- sourcestringDescription
- remarksarrayDescription
curl
curl --location 'https://idu-test.datazoo.com/api/v2/verify' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJpc3MiOiJ0ZXN0IiwiaWF0IjoxNzQxNTY0NTUwLCJpcGEiOiIzNC4xNTEuMTE3LjI0OSIsInVpZCI6MzAzLCJvaWQiOjYyLCJsaWQiOjU1MzA5MTgsImV4cCI6MTc0MTU5MzM1MCwiYXVkIjoiaHR0cHM6Ly9pZHUuZGF0YXpvby5jb20ifQ.Dk7sBvIL8xho20_QBvRqS36zvWJI4FDWxUzOQdEMEspAM4HiYAnRZ1A39eNbhuuOh_479AgA0llrXFvMzS0DNw' \
--data '{
"countryCode": "AU",
"service": [
"Australia Residential Lookup"
],
"clientReference": "Test_0001",
"firstName": "Aloysius",
"middleName": "Jefferson",
"lastName": "Pasco",
"dateOfBirth": "1946-11-01",
"addressElement1": "30 Plane Tree Green",
"addressElement3": "Forrestfield",
"addressElement4": "WA",
"addressElement5": "6058",
"identityVariables": {
"phoneNo": "0487787402"
}
}'200
{
"countryCode": "Australia",
"clientReference": "Test_0001",
"reportingReference": "DZ-7905e55c-0ebf-4857-9958-878642e720bc",
"matchStatus": "Full Match 1+1 Verification",
"searchErrorMessage": "",
"safeHarbour": false,
"searchStatus": "Successful",
"serviceResponses": {
"Australia Residential Lookup": {
"status": 1,
"sourceStatus": "Successful",
"errorMessage": "",
"identityVerified": true,
"safeHarbourScore": "N/A",
"nameMatchScore": "A1",
"addressMatchScore": "0",
"verifications": {
"addressElement1": true,
"addressElement3": true,
"addressElement4": true,
"addressElement5": true,
"dateOfBirth": true,
"firstName": true,
"landlineNumber": false,
"lastName": true,
"middleName": false,
"mobileNumber": true
},
"returnedData": {
"source": "DZ1"
}
}
},
"remarks": []
}
Links
Change History
Added
Last updated - 10 March, 2025